Page MenuHomePhabricator

verbose output on py3 fails during initialisation
Closed, ResolvedPublic

Description

Running any command with verbose enabled caused a KeyError

$ python3 pwb.py scripts/basic.py -verbose
The base directory is ...

Pywikibot framework v2.0 -- Logging header

COMMAND: ['scripts/basic.py', '-verbose']
DATE: 2014-10-08 09:33:57.946123 UTC
VERSION: [ssh] pywikibot-core.git (62c17a3, g4217, 2014/10/07, 19:19:01, n/a)
SYSTEM: posix.uname_result(sysname='Linux', nodename='RSD-Latitude-2120', release='3.13.0-36-generic', version='#63-Ubuntu SMP Wed Sep 3 21:30:45 UTC 2014', machine='i686')
Traceback (most recent call last):

File "pwb.py", line 164, in <module>
  run_python_file(fn, argv, argvu)
File "pwb.py", line 69, in run_python_file
  exec(compile(source, filename, "exec"), main_mod.__dict__)
File "scripts/basic.py", line 173, in <module>
  main()
File "scripts/basic.py", line 142, in main
  local_args = pywikibot.handleArgs()
File ".../pywikibot/bot.py", line 666, in handleArgs
  init_handlers()
File ".../pywikibot/bot.py", line 248, in init_handlers
  writelogheader()
File ".../pywikibot/bot.py", line 291, in writelogheader
  packages = version.package_versions(check_package_list)
File ".../pywikibot/version.py", line 381, in package_versions
  del data[name]

KeyError: '_frozen_importlib'


Version: core-(2.0)
Severity: major

Details

Reference
bz71786

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:53 AM
bzimport set Reference to bz71786.
bzimport added a subscriber: Unknown Object (????).
jayvdb created this task.Oct 8 2014, 9:37 AM
jayvdb moved this task from Backlog to Needs Review on the Pywikibot board.Dec 3 2014, 7:35 AM
jayvdb closed this task as Resolved.Apr 22 2015, 3:37 AM
jayvdb claimed this task.

Yes